View Issue Details

IDProjectCategoryView StatusLast Update
0010914mantisbtcode cleanuppublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0010914: Make db_get_table behave like plugin_table
Description

db_gettable is currently called with a parameter in the format "mantis{tablename}_table". This is unnecessary. The function should behave more like plugin_table where the name of a table such as "bug" or "email" is passed in, and the optional user-customisable prefix and suffix are prepended and appended.

This change removes some processing overheads and makes the function a little bit easier to use, as it is consistent with the usage for plugin_table.

TagsNo tags attached.

Relationships

parent of 0016038 closeddregad Make db_get_table() backwards-compatible with 1.2. 
parent of 0012366 closeddhx core/file_api.php uses old-style db_get_table 
child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036522

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master c8f355d0

2009-09-07 13:19:08

dhx

Details Diff
Fix 0010914: Make db_get_table behave like plugin_table

db_get_table is currently called with a parameter in the format
"mantis_{tablename}_table". This is unnecessary. The function should
behave more like plugin_table where the name of a table such as "bug" or
"email" is passed in, and the optional user-customisable prefix and
suffix are prepended and appended.

This change removes some processing overheads and makes the function a
little bit easier to use, as it is consistent with the usage for
plugin_table.

Note that this breaks the API and therefore plugins will most likely
have to change the parameters they're sending to db_get_table.
mod - core/project_api.php Diff File
mod - admin/install.php Diff File
mod - plugins/MantisGraph/pages/bug_graph_bystatus.php Diff File
mod - manage_tags_page.php Diff File
mod - core/database_api.php Diff File
mod - print_all_bug_options_inc.php Diff File
mod - core/authentication_api.php Diff File
mod - file_download.php Diff File
mod - core/relationship_api.php Diff File
mod - proj_doc_update.php Diff File
mod - core/profile_api.php Diff File
mod - print_all_bug_options_update.php Diff File
mod - core/cfdefs/cfdef_standard.php Diff File
mod - core/summary_api.php Diff File
mod - core/custom_field_api.php Diff File
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - admin/schema.php Diff File
mod - core/user_api.php Diff File
mod - core/bug_api.php Diff File
mod - core/access_api.php Diff File
mod - core/html_api.php Diff File
mod - core/user_pref_api.php Diff File
mod - core/plugin_api.php Diff File
mod - core/news_api.php Diff File
mod - core/file_api.php Diff File
mod - core/install_helper_functions_api.php Diff File
mod - manage_proj_cat_delete.php Diff File
mod - changelog_page.php Diff File
mod - core/sponsorship_api.php Diff File
mod - api/soap/mc_api.php Diff File
mod - manage_user_prune.php Diff File
mod - admin/move_db2disk.php Diff File
mod - core/category_api.php Diff File
mod - summary_page.php Diff File
mod - core/version_api.php Diff File
mod - print_bugnote_inc.php Diff File
mod - admin/copy_field.php Diff File
mod - api/soap/mc_file_api.php Diff File
mod - manage_user_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - bug_monitor_list_view_inc.php Diff File
mod - core/config_api.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - core/project_hierarchy_api.php Diff File
mod - core/history_api.php Diff File
mod - plugins/MantisGraph/pages/bug_graph_bycategory.php Diff File
mod - proj_doc_delete.php Diff File
mod - api/soap/mc_project_api.php Diff File
mod - proj_doc_page.php Diff File
mod - manage_plugin_update.php Diff File
mod - roadmap_page.php Diff File
mod - core/bug_revision_api.php Diff File
mod - core/tokens_api.php Diff File
mod - lost_pwd.php Diff File
mod - adm_config_report.php Diff File
mod - print_all_bug_options_reset.php Diff File
mod - proj_doc_edit_page.php Diff File
mod - manage_user_update.php Diff File
mod - login_page.php Diff File
mod - core/print_api.php Diff File
mod - core/tag_api.php Diff File
mod - core/filter_api.php Diff File
mod - core/bugnote_api.php Diff File
mod - core/email_api.php Diff File
mod - plugins/MantisGraph/pages/summary_graph_cumulative_bydate2.php Diff File
mod - core/email_queue_api.php Diff File
mod - account_sponsor_page.php Diff File

Issue History

Date Modified Username Field Change
2009-09-07 09:23 dhx New Issue
2009-09-07 09:43 dhx Status assigned => resolved
2009-09-07 09:43 dhx Fixed in Version => 1.3.0-beta.1
2009-09-07 09:43 dhx Resolution open => fixed
2009-09-07 09:50 dhx Changeset attached master c8f355d0 =>
2010-04-23 23:22 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036522
2013-04-05 18:02 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-06-09 17:29 dregad Relationship added parent of 0016038
2013-06-09 17:29 dregad Relationship added parent of 0012366
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed